## org.sqlite
Class ExtendedCommand

    java.lang.Object
      org.sqlite.ExtendedCommand

    public class ExtendedCommand

extends Object

parsing SQLite specific extension of SQL command

Author:
  leo

Nested Class Summary
`static class` `ExtendedCommand.BackupCommand`
`static class` `ExtendedCommand.RestoreCommand`
`static interface` `ExtendedCommand.SQLExtension`

Constructor Summary
`ExtendedCommand()`

Method Summary
`static ExtendedCommand.SQLExtension` `parse(String sql)`
`static String` `removeQuotation(String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedCommand

    public ExtendedCommand()

Method Detail

### parse

    public static ExtendedCommand.SQLExtension parse(String sql)
                                              throws SQLException

  Throws:
    `SQLException`

### removeQuotation

    public static String removeQuotation(String s)

This work is licensed under a Creative Commons Attribution-ShareAlike 2.1 Japan License.